Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » UML2 » Cannot seem to install UML Tools or UML Tools SDK
Cannot seem to install UML Tools or UML Tools SDK [message #634202] Wed, 20 October 2010 18:54 Go to next message
Peter Missing name is currently offline Peter Missing nameFriend
Messages: 31
Registered: July 2010
Member
Folks,

When I try to install UML2 Tools from Eclipse Helios (3.6.1), here is the error that I get:

Cannot complete the install because one or more required items could not be found.
Software being installed: UML2 Tools (Incubation) 0.9.0.v200906190654 (org.eclipse.uml2tools.feature.group 0.9.0.v200906190654)
Missing requirement: OCL 2.0 Binding for Ecore 1.3.0.v200905271400 (org.eclipse.ocl.ecore 1.3.0.v200905271400) requires 'bundle org.eclipse.emf.ecore [2.5.0,2.6.0)' but it could not be found
Only one of the following can be installed at once:
EMF Ecore 2.6.1.v20100914-1218 (org.eclipse.emf.ecore 2.6.1.v20100914-1218)
EMF Ecore 2.6.0.v20100614-1136 (org.eclipse.emf.ecore 2.6.0.v20100614-1136)
EMF Ecore 2.4.2.v200902171115 (org.eclipse.emf.ecore 2.4.2.v200902171115)

----------
If I try to install UMl2 Tools SDK instead, the error message I get is:

Cannot complete the install because of a conflicting dependency.
Software being installed: UML2 Tools SDK (Incubation) 0.9.0.v200906190654 (org.eclipse.uml2tools.sdk.feature.group 0.9.0.v200906190654)
Only one of the following can be installed at once:
OCL for Ecore 3.0.1.R30x_v201008251030 (org.eclipse.ocl.ecore 3.0.1.R30x_v201008251030)
OCL 2.0 Binding for Ecore 1.2.1.v200807301850 (org.eclipse.ocl.ecore 1.2.1.v200807301850)
OCL 2.0 Binding for Ecore 1.3.0.v200905271400 (org.eclipse.ocl.ecore 1.3.0.v200905271400)
OCL for Ecore 3.0.0.v201005061704 (org.eclipse.ocl.ecore 3.0.0.v201005061704)


Can someone please tell me how to fix this problem? Is this a bug?

Thank you in advance for your help.

Regards,
Peter
Re: Cannot seem to install UML Tools or UML Tools SDK [message #634257 is a reply to message #634202] Thu, 21 October 2010 00:31 Go to previous messageGo to next message
Rafael Chaves is currently offline Rafael ChavesFriend
Messages: 161
Registered: July 2009
Senior Member
Peter, this is the newsgroup for the UML2 API. For UML2 Tools, you will want to ask on their forum.

Also, another UML modeling offering from Eclipse.org is Papyrus.
Re: Cannot seem to install UML Tools or UML Tools SDK [message #634258 is a reply to message #634202] Thu, 21 October 2010 00:36 Go to previous messageGo to next message
Rafael Chaves is currently offline Rafael ChavesFriend
Messages: 161
Registered: July 2009
Senior Member
Also, make sure to read this and this.

[Updated on: Thu, 21 October 2010 00:39]

Report message to a moderator

Re: Cannot seem to install UML Tools or UML Tools SDK [message #634427 is a reply to message #634258] Thu, 21 October 2010 16:19 Go to previous messageGo to next message
Peter Missing name is currently offline Peter Missing nameFriend
Messages: 31
Registered: July 2010
Member
Thank you for your help. Sorry for posting in the wrong forum.

Regards,
Peter
Re: Cannot seem to install UML Tools or UML Tools SDK [message #634444 is a reply to message #634427] Thu, 21 October 2010 17:55 Go to previous message
Rafael Chaves is currently offline Rafael ChavesFriend
Messages: 161
Registered: July 2009
Senior Member
No problem, it *is* confusing.
Previous Topic:Validation
Next Topic:How to turn an Aggregation and Composition into a java classes and SQL tables?
Goto Forum:
  


Current Time: Mon Dec 22 23:27:48 GMT 2014

Powered by FUDForum. Page generated in 0.01609 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software